/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.util.ArrayList;
import java.util.Observable;

/**
 *
 * @author Ruben
 */
public class Reunion extends Observable{
    private String nombre;
    private String autores;
    private String fuentes;
    private String resultados;
    private String lugar;
    private String comentario;
    private String asistentes;

    
    public String getNombre() {
        return nombre;
    }

   
    public void setNombre(String nombre) {
        this.nombre = nombre;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    
    public String getAutores() {
        return autores;
    }

    
    public void setAutores(String autores) {
        this.autores = autores;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    
    public String getFuentes() {
        return fuentes;
    }

    
    public void setFuentes(String fuentes) {
        this.fuentes = fuentes;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    
    public String getResultados() {
        return resultados;
    }

    
    public void setResultados(String resultados) {
        this.resultados = resultados;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    
    public String getLugar() {
        return lugar;
    }

    
    public void setLugar(String lugar) {
        this.lugar = lugar;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

   
    public String getComentario() {
        return comentario;
    }

    
    public void setComentario(String comentario) {
        this.comentario = comentario;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    
    public String getAsistentes() {
        return asistentes;
    }

    
    public void setAsistentes(String Asistentes) {
        this.asistentes = Asistentes;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }


}
